DISAS(1)

NAME
disas - disassemble binary files

SYNOPSIS
disas [ -ahmr ] [ -c hex ] [ -b hex -e hex ] [ -s name] file

DESCRIPTION
Disas disassemblies binary files. The binary file can be an a.out or an object file (.o). Input is taken from the specified file and the disassembly is placed on stdout. The general format for the output is:

hex address: hex representation symbolic representation

If symbols are available they will be used in the symbolic representation where possible and the name of each procedure will be printed before the beginning of its code.

The following options are available.

-a  Suppresses printing of the address before each instruction.

-c hex
    Hex is the maximum distance an address can be from a symbol for it to be considered relative to that symbol. The default is 0. In most cases this only applies to symbols from the data/bss sections.

-b hex
    Hex specifies the address at which to begin disassembly.

-e hex
    Hex specifies the address at which to end disassembly.

-h  Suppresses printing of hex representation of each instruction.

-m  Show the raw addressing modes in addition to the symbolic form. When this flag is specified the operands will be displayed as encoded in the instruction. This alternate display of each operand comes immediately after the symbolic form and is inclosed in angle brackets.

-r  Show only raw addressing modes as encoded in the instructions. This inhibits the symbolic representation of operands.

-s name
    This allows the specification of a particular symbol to disassemble. It must be a text symbol. Disassembly will start with that symbol and continue to the next global text symbol or until the end of the text section, whichever comes first. There may be multiple occurrences of -s name on a command line. The symbols will be processed in the order they are listed on the command line.

Hex values are entered in the standard representation (as in ``123ab'' or ``00ff00''), not with a leading ``0x'', as in the C language.

BUGS
The occurrence of data in the text will confuse disas.